com.verisign.epp.serverstub

## Class EmailFwdHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPEmailFwdHandler
  - - com.verisign.epp.serverstub.EmailFwdHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    PersRegEmailFwdHandler

      public class EmailFwdHandler
      extends EPPEmailFwdHandler

  The `EmailFwdHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPEPPEmailFwdHandler` class. It defines the Server's response to all received EPP EmailFwd Commands.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailFwdHandler()` Constructs an instance of EPPEmailFwdHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doEmailFwdCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Check command is received.
    `protected EPPEventResponse` | `doEmailFwdCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Create command is received.
    `protected EPPEventResponse` | `doEmailFwdDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Delete command is received.
    `protected EPPEventResponse` | `doEmailFwdInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Info command is received.
    `protected EPPEventResponse` | `doEmailFwdRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Renew command is received.
    `protected EPPEventResponse` | `doEmailFwdTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Transfer command is received.
    `protected EPPEventResponse` | `doEmailFwdUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPEmailFwd Update command is received.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all EPPEmailFwd commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all EPPEmailFwd commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class com.verisign.epp.framework.EPPEmailFwdHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailFwdHandler

          public EmailFwdHandler()

      Constructs an instance of EPPEmailFwdHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all EPPEmailFwd commands need to execute before they execute their command specific behavior.
      Overrides:
        `preHandleEvent` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwdHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all EPPEmailFwd commands need to execute after they execute their command specific behavior.
      Overrides:
        `postHandleEvent` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwdHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doEmailFwdCheck

          protected EPPEventResponse doEmailFwdCheck(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a EPPEmailFwd Check command is received.
      Specified by:
        `doEmailFwdCheck` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdRenew

          protected EPPEventResponse doEmailFwdRenew(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a EPPEmailFwd Renew command is received.
      Specified by:
        `doEmailFwdRenew` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdDelete

          protected EPPEventResponse doEmailFwdDelete(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a EPPEmailFwd Delete command is received.
      Specified by:
        `doEmailFwdDelete` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdCreate

          protected EPPEventResponse doEmailFwdCreate(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a EPPEmailFwd Create command is received.
      Specified by:
        `doEmailFwdCreate` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdTransfer

          protected EPPEventResponse doEmailFwdTransfer(EPPEvent aEvent,
                                                        java.lang.Object aData)

      Invoked when a EPPEmailFwd Transfer command is received.
      Specified by:
        `doEmailFwdTransfer` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdUpdate

          protected EPPEventResponse doEmailFwdUpdate(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a EPPEmailFwd Update command is received.
      Specified by:
        `doEmailFwdUpdate` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdInfo

          protected EPPEventResponse doEmailFwdInfo(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a EPPEmailFwd Info command is received.
      Specified by:
        `doEmailFwdInfo` in class `EPPEmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.